Update a webpage (partial)
curl --request PATCH \
--url https://api.monitor.weborion.io/api/v1/urls/{url} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config_name": "<string>",
"polling_interval": 123,
"continuous_monitoring": true,
"warning_limit": 123,
"threshold": {
"enable_content_engine": true,
"enable_image_engine": true,
"enable_title": true,
"threshold_line_num": 123,
"enable_line_num": true,
"threshold_href": 123,
"enable_href": true,
"threshold_img": 123,
"enable_img": true,
"threshold_script": 123,
"enable_script": true,
"threshold_div": 123,
"enable_div": true,
"threshold_iframe": 123,
"enable_iframe": true,
"threshold_link": 123,
"enable_link": true,
"image_similarity": 123,
"enable_hash": true
},
"monitoring_configuration": {
"user_agent_id": 123,
"text_string_appear": "<string>",
"text_string_not_appear": "<string>"
},
"current_baseline": {
"title": "<string>",
"line_num": 123,
"count_href": 123,
"count_script": 123,
"count_link": 123,
"count_image": 123,
"count_div": 123,
"count_iframe": 123,
"hash": "<string>",
"baseline_hrefs": [
{
"id": 123,
"selected": true
}
],
"baseline_iframes": [
{
"id": 123,
"selected": true
}
],
"baseline_images": [
{
"id": 123,
"selected": true
}
],
"baseline_scripts": [
{
"id": 123,
"selected": true
}
],
"baseline_stylesheets": [
{
"id": 123,
"selected": true
}
]
},
"image_regions": [
{
"coord_x": 123,
"coord_y": 123,
"coord_w": 123,
"coord_h": 123
}
],
"keyword_set_configuration": [
"<string>"
]
}
'import requests
url = "https://api.monitor.weborion.io/api/v1/urls/{url}"
payload = {
"config_name": "<string>",
"polling_interval": 123,
"continuous_monitoring": True,
"warning_limit": 123,
"threshold": {
"enable_content_engine": True,
"enable_image_engine": True,
"enable_title": True,
"threshold_line_num": 123,
"enable_line_num": True,
"threshold_href": 123,
"enable_href": True,
"threshold_img": 123,
"enable_img": True,
"threshold_script": 123,
"enable_script": True,
"threshold_div": 123,
"enable_div": True,
"threshold_iframe": 123,
"enable_iframe": True,
"threshold_link": 123,
"enable_link": True,
"image_similarity": 123,
"enable_hash": True
},
"monitoring_configuration": {
"user_agent_id": 123,
"text_string_appear": "<string>",
"text_string_not_appear": "<string>"
},
"current_baseline": {
"title": "<string>",
"line_num": 123,
"count_href": 123,
"count_script": 123,
"count_link": 123,
"count_image": 123,
"count_div": 123,
"count_iframe": 123,
"hash": "<string>",
"baseline_hrefs": [
{
"id": 123,
"selected": True
}
],
"baseline_iframes": [
{
"id": 123,
"selected": True
}
],
"baseline_images": [
{
"id": 123,
"selected": True
}
],
"baseline_scripts": [
{
"id": 123,
"selected": True
}
],
"baseline_stylesheets": [
{
"id": 123,
"selected": True
}
]
},
"image_regions": [
{
"coord_x": 123,
"coord_y": 123,
"coord_w": 123,
"coord_h": 123
}
],
"keyword_set_configuration": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config_name: '<string>',
polling_interval: 123,
continuous_monitoring: true,
warning_limit: 123,
threshold: {
enable_content_engine: true,
enable_image_engine: true,
enable_title: true,
threshold_line_num: 123,
enable_line_num: true,
threshold_href: 123,
enable_href: true,
threshold_img: 123,
enable_img: true,
threshold_script: 123,
enable_script: true,
threshold_div: 123,
enable_div: true,
threshold_iframe: 123,
enable_iframe: true,
threshold_link: 123,
enable_link: true,
image_similarity: 123,
enable_hash: true
},
monitoring_configuration: {
user_agent_id: 123,
text_string_appear: '<string>',
text_string_not_appear: '<string>'
},
current_baseline: {
title: '<string>',
line_num: 123,
count_href: 123,
count_script: 123,
count_link: 123,
count_image: 123,
count_div: 123,
count_iframe: 123,
hash: '<string>',
baseline_hrefs: [{id: 123, selected: true}],
baseline_iframes: [{id: 123, selected: true}],
baseline_images: [{id: 123, selected: true}],
baseline_scripts: [{id: 123, selected: true}],
baseline_stylesheets: [{id: 123, selected: true}]
},
image_regions: [{coord_x: 123, coord_y: 123, coord_w: 123, coord_h: 123}],
keyword_set_configuration: ['<string>']
})
};
fetch('https://api.monitor.weborion.io/api/v1/urls/{url}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webpages
Update a webpage (partial)
Partially updates settings for the specified webpage. Any fields not included will be unchanged, except image_regions — if specified as an empty array, all existing regions are deleted.
PATCH
/
api
/
v1
/
urls
/
{url}
Update a webpage (partial)
Authorizations
Generate an API token from the WebOrion Defacement Monitor portal. Pass it as Authorization: Bearer <token>.
Path Parameters
Webpage ID
Body
application/json
Available options:
GOLD, SILVER, BRONZE, TRIAL Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200
OK
⌘I
